Package org.optaplanner.core.config.util

## Class KeyAsElementMapConverter

- java.lang.Object
- - org.optaplanner.core.config.util.KeyAsElementMapConverter

- All Implemented Interfaces:
    `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`

      public class KeyAsElementMapConverter
      extends Object
      implements com.thoughtworks.xstream.converters.Converter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyAsElementMapConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canConvert​(Class type)` |
    `void` | `marshal​(Object mapObject, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)` |
    `Object` | `unmarshal​(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyAsElementMapConverter

          public KeyAsElementMapConverter()

  - ### Method Detail

    - #### canConvert

          public boolean canConvert​(Class type)

      Specified by:
        `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

    - #### marshal

          public void marshal​(Object mapObject,
                              com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                              com.thoughtworks.xstream.converters.MarshallingContext context)

      Specified by:
        `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

    - #### unmarshal

          public Object unmarshal​(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                  com.thoughtworks.xstream.converters.UnmarshallingContext context)

      Specified by:
        `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`